Skip to main content
`Ctrl`+`K`

# MatAppendOptionsPrefixFactor

Appends to the prefix used for searching for all matrix factor options in the database for for matrices created with `MatGetFactor()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatAppendOptionsPrefixFactor(Mat A, const char prefix[])

Logically Collective

## Input Parameters

- A - the matrix

- prefix - the prefix to prepend to all option names for the factored matrix

## Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

Normally the prefix is automatically passed in from the `PC` calling the factorization. To set it directly when not using `KSP`/`PC` use `MatAppendOptionsPrefixFactor()`

## See Also

Matrices, `Mat`, Matrix Factorization, `MatGetFactor()`, `PetscOptionsCreate()`, `PetscOptionsDestroy()`, `PetscObjectSetOptionsPrefix()`, `PetscObjectPrependOptionsPrefix()`, `PetscObjectGetOptionsPrefix()`, `TSAppendOptionsPrefix()`, `SNESAppendOptionsPrefix()`, `KSPAppendOptionsPrefix()`, `MatSetOptionsPrefixFactor()`, `MatSetOptionsPrefix()`

## Level

developer

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages